com.sun.jna

## Class MethodResultContext

- java.lang.Object
- - com.sun.jna.FromNativeContext
  - - com.sun.jna.FunctionResultContext
    - - com.sun.jna.MethodResultContext

    public class MethodResultContext
    extends FunctionResultContext

Provide result conversion context for a function call that is called via a Library interface.

### Constructor Summary

Constructors
Constructor and Description
`MethodResultContext(java.lang.Class<?> resultClass, Function function, java.lang.Object[] args, java.lang.reflect.Method method)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.reflect.Method` `getMethod()`

### Methods inherited from class com.sun.jna.FunctionResultContext

`getArguments, getFunction`

### Methods inherited from class com.sun.jna.FromNativeContext

`getTargetType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodResultContext

    MethodResultContext(java.lang.Class<?> resultClass,
                        Function function,
                        java.lang.Object[] args,
                        java.lang.reflect.Method method)

### Method Detail

#### getMethod

    public java.lang.reflect.Method getMethod()

Returns:
  The `Method` used to invoke this function call.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.